de.esprit.common.type

## Enum OsFamily

- java.lang.Object
- - java.lang.Enum<OsFamily>
  - - de.esprit.common.type.OsFamily

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OsFamily>

      public enum OsFamily
      extends java.lang.Enum<OsFamily>

  This enum defines all supported OS-Families which are primarily used by `OsType`.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAC`
    `UNIX`
    `UNKNOWN`
    `WINDOWS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OsFamily` | `fromString(java.lang.String familyName)`
    `OsType[]` | `getOsTypes()`
    `static OsFamily` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OsFamily[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final OsFamily UNKNOWN

    - #### WINDOWS

          public static final OsFamily WINDOWS

    - #### UNIX

          public static final OsFamily UNIX

    - #### MAC

          public static final OsFamily MAC

  - ### Method Detail

    - #### values

          public static OsFamily[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OsFamily c : OsFamily.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OsFamily valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static OsFamily fromString(java.lang.String familyName)

    - #### getOsTypes

          public OsType[] getOsTypes()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.